Package org.eclipse.lemminx.extensions.contentmodel.participants.completion

## Class AttributeValueCompletionResolver

- java.lang.Object
- - org.eclipse.lemminx.services.extensions.completion.AbstractCompletionResolver
  - - org.eclipse.lemminx.services.extensions.completion.AbstractAttributeCompletionResolver
    - - org.eclipse.lemminx.extensions.contentmodel.participants.completion.AttributeValueCompletionResolver

All Implemented Interfaces:
  `ICompletionItemResolveParticipant`

    public class AttributeValueCompletionResolver
    extends AbstractAttributeCompletionResolver

Resolves the documentation for the completion of the attribute value from the content model.

### Field Summary

Fields
`static String` `PARTICIPANT_ID`

### Constructor Summary

Constructors
`AttributeValueCompletionResolver()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `resolveCompletionItem​(DOMElement element, org.eclipse.lsp4j.CompletionItem toResolve, ICompletionItemResolverRequest request, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Resolve the completion item from the content model to the given completion request.

### Methods inherited from class org.eclipse.lemminx.services.extensions.completion.AbstractAttributeCompletionResolver

`resolveCompletionItem`

### Methods inherited from class org.eclipse.lemminx.services.extensions.completion.AbstractCompletionResolver

`resolveCompletionItem`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PARTICIPANT_ID

    public static final String PARTICIPANT_ID

### Constructor Detail

#### AttributeValueCompletionResolver

    public AttributeValueCompletionResolver()

### Method Detail

#### resolveCompletionItem

    protected void resolveCompletionItem​(DOMElement element,
                                         org.eclipse.lsp4j.CompletionItem toResolve,
                                         ICompletionItemResolverRequest request,
                                         org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Description copied from class: `AbstractAttributeCompletionResolver`
Resolve the completion item from the content model to the given completion request.

Specified by:
  `resolveCompletionItem` in class `AbstractAttributeCompletionResolver`
  `toResolve` - the unresolved completion item to resolve
  `request` - the completion resolve request